MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ASCII.hxx File Reference
`#include "Compiler.h"`
`#include <assert.h>`
`#include <strings.h>`
Include dependency graph for ASCII.hxx:

Go to the source code of this file.

## Functions
gcc_pure static gcc_nonnull_all bool | StringEqualsCaseASCII (const char *a, const char *b)
| Determine whether two strings are equal, ignoring case for ASCII letters. More...
gcc_pure static gcc_nonnull_all bool | StringEqualsCaseASCII (const char *a, const char *b, size_t n)

## Function Documentation

gcc_pure static gcc_nonnull_all bool StringEqualsCaseASCII | ( | const char * | a,
|  | const char * | b
| ) |  |
| inline static

Determine whether two strings are equal, ignoring case for ASCII letters.

Definition at line 44 of file ASCII.hxx.

gcc_pure static gcc_nonnull_all bool StringEqualsCaseASCII | ( | const char * | a,
|  | const char * | b,
|  | size_t | n
| ) |  |
| inline static

Definition at line 59 of file ASCII.hxx.